<nz-modal
  [(nzVisible)]="isReject"
  nzTitle="{{'personalTax.table.action.isNotApprove' | translate}}"
  (nzOnCancel)="doClose()"
  nzCancelText="{{'personalTax.table.action.cancel' | translate}}"
  nzOkType="primary"
  nzOkText="{{'personalTax.table.action.yes' | translate}}"
  (nzOnOk)="doReject(id)"
>
  <form nz-form [formGroup]="form" *nzModalContent>
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <div nz-row>
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbMaxLength]="500" [mnMinLength]="0"
          [mbType]="isSubmitted && form.controls['rejectReason'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['rejectReason'].errors != null"
          [mbErrors]="form.controls['rejectReason'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.label.rejectReason' | translate }}]"
          mbLabelText="{{'personalTax.label.rejectReason' | translate}} <span class='label__required'>*</span>"
          formControlName="rejectReason"
        >
        </mb-input-text>
      </div>
    </div>
  </form>
</nz-modal>
